Ask Your Question
2

Error in tutorial creating a diagnostic analyzer (in python) [closed]

asked 2014-07-07 04:37:28 -0500

Moda gravatar image

updated 2014-07-16 02:18:47 -0500

Everything works well until the last part Testing Analyzer.

I have this error : FAILURE: Test node [diagnostic_aggregator/analyzer_loader] does not exist or is not executable. I can't understand my mistake. Thank you.

Edit 1 : I can't reopen this subject (I don't have enough point for) , but it seems that there is an issues in python, try to read the comment, Thank you

edit retag flag offensive reopen merge delete

Closed for the following reason the question is answered, right answer was accepted by Moda
close date 2014-07-10 03:31:28.133016

Comments

did you do rosmake --pre-clean <package_name> ?

sai gravatar image sai  ( 2014-07-07 04:56:20 -0500 )edit

It doesn't work I still have the same error

Moda gravatar image Moda  ( 2014-07-07 06:11:06 -0500 )edit

did you do rosdep install <package name=""> ? and then roscd takes you to the package..?

sai gravatar image sai  ( 2014-07-07 06:19:01 -0500 )edit

roscd takes me to another folder : devel So what is the issue?

Moda gravatar image Moda  ( 2014-07-07 06:45:26 -0500 )edit

roscd <package name=""> should take you to the package you are using

sai gravatar image sai  ( 2014-07-07 07:02:39 -0500 )edit

So what can I do? I have just deleted everythink and redo the tutorials but I still have the same error

Moda gravatar image Moda  ( 2014-07-07 07:43:59 -0500 )edit

I tried on my PC running ubuntu 12.04 and fuerte, rosrun diagnostic_aggregator anlyzer_loader runs some program and that means that the executable exists for me. I am not sure what is causing you the problem that the `executable does not exist`

sai gravatar image sai  ( 2014-07-07 08:13:08 -0500 )edit

I am using groovy, does it change anythink?

Moda gravatar image Moda  ( 2014-07-07 08:14:58 -0500 )edit

1 Answer

Sort by ยป oldest newest most voted
2

answered 2014-07-09 11:12:24 -0500

ahendrix gravatar image

updated 2014-07-10 01:58:53 -0500

I suspect you don't have the diagnostic_aggregator package installed.

If you've using ROS Groovy on Ubuntu, you can install it by running:

sudo apt-get install ros-groovy-diagnostic-aggregator

EDIT

This is a bug in the diagnostics package; I've filed it here: https://github.com/ros/diagnostics/is...

Until it's fixed, you should be able to complete the tutorial by checking the diagnostics package out from source and adding it to your catkin workspace.

edit flag offensive delete link more

Comments

Sorry but I don't understand what I have to do. can you be more specific please? Thank you

Moda gravatar image Moda  ( 2014-07-10 02:47:47 -0500 )edit
1

In the src folder of your catkin workspace, do

git clone https://github.com/ros/diagnostics.git
and then rebuild your workspace.

ahendrix gravatar image ahendrix  ( 2014-07-10 03:07:35 -0500 )edit
1

It works!!!! Thank you very much!

Moda gravatar image Moda  ( 2014-07-10 03:31:01 -0500 )edit

it doesn't work for me. Roscd diagnostic_updater takes me to a directory under install isolated which doesn't have python libraries in it. I cannot import the diagnostic_updater package in my python code. I have asked the question on my account.

goshawk gravatar image goshawk  ( 2014-07-14 12:18:34 -0500 )edit

I'm working in c++. If you can, try to work in c++

Moda gravatar image Moda  ( 2014-07-15 02:12:09 -0500 )edit

I have some nodes or drivers that run in python. What do I do with them?

goshawk gravatar image goshawk  ( 2014-07-15 09:32:31 -0500 )edit

@goshawk - please ask a new question with more specifics.

ahendrix gravatar image ahendrix  ( 2014-07-16 14:09:10 -0500 )edit

I got it to work by adding packages from source.

goshawk gravatar image goshawk  ( 2014-07-16 18:48:07 -0500 )edit

Question Tools

1 follower

Stats

Asked: 2014-07-07 04:37:28 -0500

Seen: 526 times

Last updated: Jul 16 '14